#!/bin/sh
set -e

DEVICE=
NAME=

usage() {
  echo "Usage: $0 [-d <device>] [-n <name>]"
  echo " -d  specify device route."
  echo " -n  specify human friendly device's name."
  exit 1
  }
  
while getopts ":hd:n:" arg; do
  case $arg in
    d) DEVICE=$OPTARG;;
    n) NAME=$OPTARG;;
    h) usage;;
    *) usage;;
  esac
done
shift $((OPTIND-1))

#check if device parameter is filled up
if [ ! "${DEVICE}" ]
then
  echo "Error: no device provided, aborting ..."
  usage
  exit 1
fi

#check if name parameter is filled up
if [ ! "${NAME}" ]
then
  echo "Error: no name provided, aborting ..."
  usage
  exit 1
fi

#Can
sudo slcand -o -s6 -S3000000 $DEVICE $NAME
sudo ifconfig $NAME up

exit 0